Run X/Twitter scout
curl --request POST \
--url https://www.citedy.com/api/agent/scout/x \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"mode": "fast",
"limit": 20
}
'import requests
url = "https://www.citedy.com/api/agent/scout/x"
payload = {
"query": "<string>",
"mode": "fast",
"limit": 20
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>', mode: 'fast', limit: 20})
};
fetch('https://www.citedy.com/api/agent/scout/x', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"query": "<string>",
"credits_used": 123,
"results": {},
"status": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"credits_required": 123,
"topup": {
"recommended_package_credits": 123,
"recommended_package_price_usd": 123,
"topup_url": "<string>"
},
"message": "<string>",
"breakdown": {}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Scout
Run X/Twitter scout
POST
/
api
/
agent
/
scout
/
x
Run X/Twitter scout
Authorizations
Bearer citedy_agent_* key
Body
application/json
Response
Scout dispatched (async). Poll GET /api/agent/scout/x/{runId} with the same Authorization: Bearer <AGENT_API_KEY> header for status.
⌘I
